package api.common.pojo.po.home;


import api.common.pojo.common.CommonPO;
import lombok.*;

@EqualsAndHashCode(callSuper = true)
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SystemServerPO extends CommonPO {

    String id;
    String serverId;
    String serverAddress;
    String serverType;
    Integer memoryUsage;
    Integer memoryAvailable;
    Integer memoryTotal;
    Integer diskUsage;
    Double diskAvailable;
    Integer diskTotal;
    Integer cpuUsage;
    Integer cpuTotal;   // cpu 核数
    Integer gpuUsage;
    Integer gpuTotal;   // gpu 内存数
    Integer taskNumber;


}
